import fetch from '@/utils/fetch'

/**
 * 【查】 - 获取训练分数详情
 */
export const getScoreApi = (id) =>
  fetch({ url: '/train/trainModule/score/' + id, method: 'get' })

/**
 * 【查】 - 获取训练步骤详情
 */
export const getStepApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/step/' + id, method: 'get' })

/**
 * 【查】 - 获取用户训练综合信息
 */
export const getUserTrainInfoApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/basic/' + id, method: 'get' })

/**
* 【查】 - 获取用户号位选择信息
*/
export const getUserPositionfoApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/position/' + id, method: 'get' })
/**
* 【查】 - 获取用户训练用时信息
*/
export const getUserTrainDurationApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/duration/' + id, method: 'get' })

/**
* 【查】 - 获取用户科目成绩信息
*/
export const getUserSubjectGradeApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/scoreLine/' + id, method: 'get' })

/**
* 【查】 - 获取用户号位成绩信息
*/
export const getUserPositionGradeApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/positionScore/' + id, method: 'get' })

/**
* 【查】 - 获取所有训练场次科目成绩信息
*/
export const getUserTrainSubjectGradeApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/subjectScore/' + id, method: 'get' })

/**
* 【查】 - 获取用户所操作设备的正确错误占比
*/
export const getUserOperationResultApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/user/deviceOper/' + id, method: 'get' })

/**
* 【查】 - 获取各班组各号位平均成绩统计
*/
export const getTeamGroupAgeScoresApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/subject/posAvgScore/' + id, method: 'get' })

/**
* 【查】 - 各号位的各班组操作步骤统计
*/
export const positionGroupOpeartionApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/subject/posAvgOperation/' + id, method: 'get' })

/**
* 【查】 - 各号位的各班组操作步骤统计
*/
export const getTeamGroupDurationApi = (id) =>
  fetch({ url: '/train/trainModule/analysis/subject/posAvgDuration/' + id, method: 'get' })
